From: Colin Watson <cjwatson@debian.org>
Date: Wed, 18 Dec 2024 13:12:20 +0000
Subject: Port to Sphinx 8.0

The old `intersphinx_mapping` format has been removed; it must now map
identifiers to (target, inventory) tuples.

Forwarded: https://github.com/jazzband/django-analytical/pull/230
Bug-Debian: https://bugs.debian.org/1090138
Last-Update: 2024-12-18
---
 docs/conf.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/docs/conf.py b/docs/conf.py
index 1894cd9..1910dcd 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -28,9 +28,11 @@ add_function_parentheses = True
 pygments_style = 'sphinx'
 
 intersphinx_mapping = {
-    'http://docs.python.org/2.7': None,
-    'http://docs.djangoproject.com/en/1.9':
+    'python': ('http://docs.python.org/3', None),
+    'django': (
+        'http://docs.djangoproject.com/en/1.9',
         'http://docs.djangoproject.com/en/1.9/_objects/',
+    ),
 }
 
 
